# coding: utf-8

# flake8: noqa

"""
    SEMP (Solace Element Management Protocol)

    SEMP (starting in `v2`, see note 1) is a RESTful API for configuring, monitoring, and administering a Solace PubSub+ broker.  SEMP uses URIs to address manageable **resources** of the Solace PubSub+ broker. Resources are individual **objects**, **collections** of objects, or (exclusively in the action API) **actions**. This document applies to the following API:   API|Base Path|Purpose|Comments :---|:---|:---|:--- Configuration|/SEMP/v2/config|Reading and writing config state|See note 2    The following APIs are also available:   API|Base Path|Purpose|Comments :---|:---|:---|:--- Action|/SEMP/v2/action|Performing actions|See note 2 Monitoring|/SEMP/v2/monitor|Querying operational parameters|See note 2    Resources are always nouns, with individual objects being singular and collections being plural.  Objects within a collection are identified by an `obj-id`, which follows the collection name with the form `collection-name/obj-id`.  Actions within an object are identified by an `action-id`, which follows the object name with the form `obj-id/action-id`.  Some examples:  ``` /SEMP/v2/config/msgVpns                        ; MsgVpn collection /SEMP/v2/config/msgVpns/a                      ; MsgVpn object named \"a\" /SEMP/v2/config/msgVpns/a/queues               ; Queue collection in MsgVpn \"a\" /SEMP/v2/config/msgVpns/a/queues/b             ; Queue object named \"b\" in MsgVpn \"a\" /SEMP/v2/action/msgVpns/a/queues/b/startReplay ; Action that starts a replay on Queue \"b\" in MsgVpn \"a\" /SEMP/v2/monitor/msgVpns/a/clients             ; Client collection in MsgVpn \"a\" /SEMP/v2/monitor/msgVpns/a/clients/c           ; Client object named \"c\" in MsgVpn \"a\" ```  ## Collection Resources  Collections are unordered lists of objects (unless described as otherwise), and are described by JSON arrays. Each item in the array represents an object in the same manner as the individual object would normally be represented. In the configuration API, the creation of a new object is done through its collection resource.  ## Object and Action Resources  Objects are composed of attributes, actions, collections, and other objects. They are described by JSON objects as name/value pairs. The collections and actions of an object are not contained directly in the object's JSON content; rather the content includes an attribute containing a URI which points to the collections and actions. These contained resources must be managed through this URI. At a minimum, every object has one or more identifying attributes, and its own `uri` attribute which contains the URI pointing to itself.  Actions are also composed of attributes, and are described by JSON objects as name/value pairs. Unlike objects, however, they are not members of a collection and cannot be retrieved, only performed. Actions only exist in the action API.  Attributes in an object or action may have any combination of the following properties:   Property|Meaning|Comments :---|:---|:--- Identifying|Attribute is involved in unique identification of the object, and appears in its URI| Required|Attribute must be provided in the request| Read-Only|Attribute can only be read, not written.|See note 3 Write-Only|Attribute can only be written, not read, unless the attribute is also opaque|See the documentation for the opaque property Requires-Disable|Attribute can only be changed when object is disabled| Deprecated|Attribute is deprecated, and will disappear in the next SEMP version| Opaque|Attribute can be set or retrieved in opaque form when the `opaquePassword` query parameter is present|See the `opaquePassword` query parameter documentation    In some requests, certain attributes may only be provided in certain combinations with other attributes:   Relationship|Meaning :---|:--- Requires|Attribute may only be changed by a request if a particular attribute or combination of attributes is also provided in the request Conflicts|Attribute may only be provided in a request if a particular attribute or combination of attributes is not also provided in the request    In the monitoring API, any non-identifying attribute may not be returned in a GET.  ## HTTP Methods  The following HTTP methods manipulate resources in accordance with these general principles. Note that some methods are only used in certain APIs:   Method|Resource|Meaning|Request Body|Response Body|Missing Request Attributes :---|:---|:---|:---|:---|:--- POST|Collection|Create object|Initial attribute values|Object attributes and metadata|Set to default PUT|Object|Create or replace object (see note 5)|New attribute values|Object attributes and metadata|Set to default, with certain exceptions (see note 4) PUT|Action|Performs action|Action arguments|Action metadata|N/A PATCH|Object|Update object|New attribute values|Object attributes and metadata|unchanged DELETE|Object|Delete object|Empty|Object metadata|N/A GET|Object|Get object|Empty|Object attributes and metadata|N/A GET|Collection|Get collection|Empty|Object attributes and collection metadata|N/A    ## Common Query Parameters  The following are some common query parameters that are supported by many method/URI combinations. Individual URIs may document additional parameters. Note that multiple query parameters can be used together in a single URI, separated by the ampersand character. For example:  ``` ; Request for the MsgVpns collection using two hypothetical query parameters ; \"q1\" and \"q2\" with values \"val1\" and \"val2\" respectively /SEMP/v2/config/msgVpns?q1=val1&q2=val2 ```  ### select  Include in the response only selected attributes of the object, or exclude from the response selected attributes of the object. Use this query parameter to limit the size of the returned data for each returned object, return only those fields that are desired, or exclude fields that are not desired.  The value of `select` is a comma-separated list of attribute names. If the list contains attribute names that are not prefaced by `-`, only those attributes are included in the response. If the list contains attribute names that are prefaced by `-`, those attributes are excluded from the response. If the list contains both types, then the difference of the first set of attributes and the second set of attributes is returned. If the list is empty (i.e. `select=`), no attributes are returned.  All attributes that are prefaced by `-` must follow all attributes that are not prefaced by `-`. In addition, each attribute name in the list must match at least one attribute in the object.  Names may include the `*` wildcard (zero or more characters). Nested attribute names are supported using periods (e.g. `parentName.childName`).  Some examples:  ``` ; List of all MsgVpn names /SEMP/v2/config/msgVpns?select=msgVpnName ; List of all MsgVpn and their attributes except for their names /SEMP/v2/config/msgVpns?select=-msgVpnName ; Authentication attributes of MsgVpn \"finance\" /SEMP/v2/config/msgVpns/finance?select=authentication* ; All attributes of MsgVpn \"finance\" except for authentication attributes /SEMP/v2/config/msgVpns/finance?select=-authentication* ; Access related attributes of Queue \"orderQ\" of MsgVpn \"finance\" /SEMP/v2/config/msgVpns/finance/queues/orderQ?select=owner,permission ```  ### where  Include in the response only objects where certain conditions are true. Use this query parameter to limit which objects are returned to those whose attribute values meet the given conditions.  The value of `where` is a comma-separated list of expressions. All expressions must be true for the object to be included in the response. Each expression takes the form:  ``` expression  = attribute-name OP value OP          = '==' | '!=' | '&lt;' | '&gt;' | '&lt;=' | '&gt;=' ```  `value` may be a number, string, `true`, or `false`, as appropriate for the type of `attribute-name`. Greater-than and less-than comparisons only work for numbers. A `*` in a string `value` is interpreted as a wildcard (zero or more characters). Some examples:  ``` ; Only enabled MsgVpns /SEMP/v2/config/msgVpns?where=enabled==true ; Only MsgVpns using basic non-LDAP authentication /SEMP/v2/config/msgVpns?where=authenticationBasicEnabled==true,authenticationBasicType!=ldap ; Only MsgVpns that allow more than 100 client connections /SEMP/v2/config/msgVpns?where=maxConnectionCount>100 ; Only MsgVpns with msgVpnName starting with \"B\": /SEMP/v2/config/msgVpns?where=msgVpnName==B* ```  ### count  Limit the count of objects in the response. This can be useful to limit the size of the response for large collections. The minimum value for `count` is `1` and the default is `10`. There is also a per-collection maximum value to limit request handling time. For example:  ``` ; Up to 25 MsgVpns /SEMP/v2/config/msgVpns?count=25 ```  ### cursor  The cursor, or position, for the next page of objects. Cursors are opaque data that should not be created or interpreted by SEMP clients, and should only be used as described below.  When a request is made for a collection and there may be additional objects available for retrieval that are not included in the initial response, the response will include a `cursorQuery` field containing a cursor. The value of this field can be specified in the `cursor` query parameter of a subsequent request to retrieve the next page of objects. For convenience, an appropriate URI is constructed automatically by the broker and included in the `nextPageUri` field of the response. This URI can be used directly to retrieve the next page of objects.  ### opaquePassword  Attributes with the opaque property are also write-only and so cannot normally be retrieved in a GET. However, when a password is provided in the `opaquePassword` query parameter, attributes with the opaque property are retrieved in a GET in opaque form, encrypted with this password. The query parameter can also be used on a POST, PATCH, or PUT to set opaque attributes using opaque attribute values retrieved in a GET, so long as:  1. the same password that was used to retrieve the opaque attribute values is provided; and  2. the broker to which the request is being sent has the same major and minor SEMP version as the broker that produced the opaque attribute values.  The password provided in the query parameter must be a minimum of 8 characters and a maximum of 128 characters.  The query parameter can only be used in the configuration API, and only over HTTPS.  ## Help  Visit [our website](https://solace.com) to learn more about Solace.  You can also download the SEMP API specifications by clicking [here](https://solace.com/downloads/).  If you need additional support, please contact us at [support@solace.com](mailto:support@solace.com).  ## Notes  Note|Description :---:|:--- 1|This specification defines SEMP starting in \"v2\", and not the original SEMP \"v1\" interface. Request and response formats between \"v1\" and \"v2\" are entirely incompatible, although both protocols share a common port configuration on the Solace PubSub+ broker. They are differentiated by the initial portion of the URI path, one of either \"/SEMP/\" or \"/SEMP/v2/\" 2|This API is partially implemented. Only a subset of all objects are available. 3|Read-only attributes may appear in POST and PUT/PATCH requests. However, if a read-only attribute is not marked as identifying, it will be ignored during a PUT/PATCH. 4|On a PUT, if the SEMP user is not authorized to modify the attribute, its value is left unchanged rather than set to default. In addition, the values of write-only attributes are not set to their defaults on a PUT, except in the following two cases: there is a mutual requires relationship with another non-write-only attribute and both attributes are absent from the request; or the attribute is also opaque and the `opaquePassword` query parameter is provided in the request. 5|On a PUT, if the object does not exist, it is created first.    # noqa: E501

    OpenAPI spec version: 2.17
    Contact: support@solace.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

# import apis into sdk package
from solace_semp_config.api.about_api import AboutApi
from solace_semp_config.api.acl_profile_api import AclProfileApi
from solace_semp_config.api.all_api import AllApi
from solace_semp_config.api.authentication_oauth_provider_api import AuthenticationOauthProviderApi
from solace_semp_config.api.authorization_group_api import AuthorizationGroupApi
from solace_semp_config.api.bridge_api import BridgeApi
from solace_semp_config.api.cert_authority_api import CertAuthorityApi
from solace_semp_config.api.client_profile_api import ClientProfileApi
from solace_semp_config.api.client_username_api import ClientUsernameApi
from solace_semp_config.api.distributed_cache_api import DistributedCacheApi
from solace_semp_config.api.dmr_bridge_api import DmrBridgeApi
from solace_semp_config.api.dmr_cluster_api import DmrClusterApi
from solace_semp_config.api.jndi_api import JndiApi
from solace_semp_config.api.mqtt_retain_cache_api import MqttRetainCacheApi
from solace_semp_config.api.mqtt_session_api import MqttSessionApi
from solace_semp_config.api.msg_vpn_api import MsgVpnApi
from solace_semp_config.api.queue_api import QueueApi
from solace_semp_config.api.queue_template_api import QueueTemplateApi
from solace_semp_config.api.replay_log_api import ReplayLogApi
from solace_semp_config.api.replicated_topic_api import ReplicatedTopicApi
from solace_semp_config.api.rest_delivery_point_api import RestDeliveryPointApi
from solace_semp_config.api.system_information_api import SystemInformationApi
from solace_semp_config.api.topic_endpoint_api import TopicEndpointApi
from solace_semp_config.api.topic_endpoint_template_api import TopicEndpointTemplateApi
from solace_semp_config.api.virtual_hostname_api import VirtualHostnameApi

# import ApiClient
from solace_semp_config.api_client import ApiClient
from solace_semp_config.configuration import Configuration
# import models into sdk package
from solace_semp_config.models.about import About
from solace_semp_config.models.about_api import AboutApi
from solace_semp_config.models.about_api_links import AboutApiLinks
from solace_semp_config.models.about_api_response import AboutApiResponse
from solace_semp_config.models.about_links import AboutLinks
from solace_semp_config.models.about_response import AboutResponse
from solace_semp_config.models.about_user import AboutUser
from solace_semp_config.models.about_user_links import AboutUserLinks
from solace_semp_config.models.about_user_msg_vpn import AboutUserMsgVpn
from solace_semp_config.models.about_user_msg_vpn_links import AboutUserMsgVpnLinks
from solace_semp_config.models.about_user_msg_vpn_response import AboutUserMsgVpnResponse
from solace_semp_config.models.about_user_msg_vpns_response import AboutUserMsgVpnsResponse
from solace_semp_config.models.about_user_response import AboutUserResponse
from solace_semp_config.models.broker import Broker
from solace_semp_config.models.broker_links import BrokerLinks
from solace_semp_config.models.broker_response import BrokerResponse
from solace_semp_config.models.cert_authorities_response import CertAuthoritiesResponse
from solace_semp_config.models.cert_authority import CertAuthority
from solace_semp_config.models.cert_authority_links import CertAuthorityLinks
from solace_semp_config.models.cert_authority_ocsp_tls_trusted_common_name import CertAuthorityOcspTlsTrustedCommonName
from solace_semp_config.models.cert_authority_ocsp_tls_trusted_common_name_links import CertAuthorityOcspTlsTrustedCommonNameLinks
from solace_semp_config.models.cert_authority_ocsp_tls_trusted_common_name_response import CertAuthorityOcspTlsTrustedCommonNameResponse
from solace_semp_config.models.cert_authority_ocsp_tls_trusted_common_names_response import CertAuthorityOcspTlsTrustedCommonNamesResponse
from solace_semp_config.models.cert_authority_response import CertAuthorityResponse
from solace_semp_config.models.dmr_cluster import DmrCluster
from solace_semp_config.models.dmr_cluster_link import DmrClusterLink
from solace_semp_config.models.dmr_cluster_link_links import DmrClusterLinkLinks
from solace_semp_config.models.dmr_cluster_link_remote_address import DmrClusterLinkRemoteAddress
from solace_semp_config.models.dmr_cluster_link_remote_address_links import DmrClusterLinkRemoteAddressLinks
from solace_semp_config.models.dmr_cluster_link_remote_address_response import DmrClusterLinkRemoteAddressResponse
from solace_semp_config.models.dmr_cluster_link_remote_addresses_response import DmrClusterLinkRemoteAddressesResponse
from solace_semp_config.models.dmr_cluster_link_response import DmrClusterLinkResponse
from solace_semp_config.models.dmr_cluster_link_tls_trusted_common_name import DmrClusterLinkTlsTrustedCommonName
from solace_semp_config.models.dmr_cluster_link_tls_trusted_common_name_links import DmrClusterLinkTlsTrustedCommonNameLinks
from solace_semp_config.models.dmr_cluster_link_tls_trusted_common_name_response import DmrClusterLinkTlsTrustedCommonNameResponse
from solace_semp_config.models.dmr_cluster_link_tls_trusted_common_names_response import DmrClusterLinkTlsTrustedCommonNamesResponse
from solace_semp_config.models.dmr_cluster_links import DmrClusterLinks
from solace_semp_config.models.dmr_cluster_links_response import DmrClusterLinksResponse
from solace_semp_config.models.dmr_cluster_response import DmrClusterResponse
from solace_semp_config.models.dmr_clusters_response import DmrClustersResponse
from solace_semp_config.models.event_threshold import EventThreshold
from solace_semp_config.models.event_threshold_by_percent import EventThresholdByPercent
from solace_semp_config.models.event_threshold_by_value import EventThresholdByValue
from solace_semp_config.models.msg_vpn import MsgVpn
from solace_semp_config.models.msg_vpn_acl_profile import MsgVpnAclProfile
from solace_semp_config.models.msg_vpn_acl_profile_client_connect_exception import MsgVpnAclProfileClientConnectException
from solace_semp_config.models.msg_vpn_acl_profile_client_connect_exception_links import MsgVpnAclProfileClientConnectExceptionLinks
from solace_semp_config.models.msg_vpn_acl_profile_client_connect_exception_response import MsgVpnAclProfileClientConnectExceptionResponse
from solace_semp_config.models.msg_vpn_acl_profile_client_connect_exceptions_response import MsgVpnAclProfileClientConnectExceptionsResponse
from solace_semp_config.models.msg_vpn_acl_profile_links import MsgVpnAclProfileLinks
from solace_semp_config.models.msg_vpn_acl_profile_publish_exception import MsgVpnAclProfilePublishException
from solace_semp_config.models.msg_vpn_acl_profile_publish_exception_links import MsgVpnAclProfilePublishExceptionLinks
from solace_semp_config.models.msg_vpn_acl_profile_publish_exception_response import MsgVpnAclProfilePublishExceptionResponse
from solace_semp_config.models.msg_vpn_acl_profile_publish_exceptions_response import MsgVpnAclProfilePublishExceptionsResponse
from solace_semp_config.models.msg_vpn_acl_profile_publish_topic_exception import MsgVpnAclProfilePublishTopicException
from solace_semp_config.models.msg_vpn_acl_profile_publish_topic_exception_links import MsgVpnAclProfilePublishTopicExceptionLinks
from solace_semp_config.models.msg_vpn_acl_profile_publish_topic_exception_response import MsgVpnAclProfilePublishTopicExceptionResponse
from solace_semp_config.models.msg_vpn_acl_profile_publish_topic_exceptions_response import MsgVpnAclProfilePublishTopicExceptionsResponse
from solace_semp_config.models.msg_vpn_acl_profile_response import MsgVpnAclProfileResponse
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_exception import MsgVpnAclProfileSubscribeException
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_exception_links import MsgVpnAclProfileSubscribeExceptionLinks
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_exception_response import MsgVpnAclProfileSubscribeExceptionResponse
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_exceptions_response import MsgVpnAclProfileSubscribeExceptionsResponse
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_share_name_exception import MsgVpnAclProfileSubscribeShareNameException
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_share_name_exception_links import MsgVpnAclProfileSubscribeShareNameExceptionLinks
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_share_name_exception_response import MsgVpnAclProfileSubscribeShareNameExceptionResponse
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_share_name_exceptions_response import MsgVpnAclProfileSubscribeShareNameExceptionsResponse
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_topic_exception import MsgVpnAclProfileSubscribeTopicException
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_topic_exception_links import MsgVpnAclProfileSubscribeTopicExceptionLinks
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_topic_exception_response import MsgVpnAclProfileSubscribeTopicExceptionResponse
from solace_semp_config.models.msg_vpn_acl_profile_subscribe_topic_exceptions_response import MsgVpnAclProfileSubscribeTopicExceptionsResponse
from solace_semp_config.models.msg_vpn_acl_profiles_response import MsgVpnAclProfilesResponse
from solace_semp_config.models.msg_vpn_authentication_oauth_provider import MsgVpnAuthenticationOauthProvider
from solace_semp_config.models.msg_vpn_authentication_oauth_provider_links import MsgVpnAuthenticationOauthProviderLinks
from solace_semp_config.models.msg_vpn_authentication_oauth_provider_response import MsgVpnAuthenticationOauthProviderResponse
from solace_semp_config.models.msg_vpn_authentication_oauth_providers_response import MsgVpnAuthenticationOauthProvidersResponse
from solace_semp_config.models.msg_vpn_authorization_group import MsgVpnAuthorizationGroup
from solace_semp_config.models.msg_vpn_authorization_group_links import MsgVpnAuthorizationGroupLinks
from solace_semp_config.models.msg_vpn_authorization_group_response import MsgVpnAuthorizationGroupResponse
from solace_semp_config.models.msg_vpn_authorization_groups_response import MsgVpnAuthorizationGroupsResponse
from solace_semp_config.models.msg_vpn_bridge import MsgVpnBridge
from solace_semp_config.models.msg_vpn_bridge_links import MsgVpnBridgeLinks
from solace_semp_config.models.msg_vpn_bridge_remote_msg_vpn import MsgVpnBridgeRemoteMsgVpn
from solace_semp_config.models.msg_vpn_bridge_remote_msg_vpn_links import MsgVpnBridgeRemoteMsgVpnLinks
from solace_semp_config.models.msg_vpn_bridge_remote_msg_vpn_response import MsgVpnBridgeRemoteMsgVpnResponse
from solace_semp_config.models.msg_vpn_bridge_remote_msg_vpns_response import MsgVpnBridgeRemoteMsgVpnsResponse
from solace_semp_config.models.msg_vpn_bridge_remote_subscription import MsgVpnBridgeRemoteSubscription
from solace_semp_config.models.msg_vpn_bridge_remote_subscription_links import MsgVpnBridgeRemoteSubscriptionLinks
from solace_semp_config.models.msg_vpn_bridge_remote_subscription_response import MsgVpnBridgeRemoteSubscriptionResponse
from solace_semp_config.models.msg_vpn_bridge_remote_subscriptions_response import MsgVpnBridgeRemoteSubscriptionsResponse
from solace_semp_config.models.msg_vpn_bridge_response import MsgVpnBridgeResponse
from solace_semp_config.models.msg_vpn_bridge_tls_trusted_common_name import MsgVpnBridgeTlsTrustedCommonName
from solace_semp_config.models.msg_vpn_bridge_tls_trusted_common_name_links import MsgVpnBridgeTlsTrustedCommonNameLinks
from solace_semp_config.models.msg_vpn_bridge_tls_trusted_common_name_response import MsgVpnBridgeTlsTrustedCommonNameResponse
from solace_semp_config.models.msg_vpn_bridge_tls_trusted_common_names_response import MsgVpnBridgeTlsTrustedCommonNamesResponse
from solace_semp_config.models.msg_vpn_bridges_response import MsgVpnBridgesResponse
from solace_semp_config.models.msg_vpn_client_profile import MsgVpnClientProfile
from solace_semp_config.models.msg_vpn_client_profile_links import MsgVpnClientProfileLinks
from solace_semp_config.models.msg_vpn_client_profile_response import MsgVpnClientProfileResponse
from solace_semp_config.models.msg_vpn_client_profiles_response import MsgVpnClientProfilesResponse
from solace_semp_config.models.msg_vpn_client_username import MsgVpnClientUsername
from solace_semp_config.models.msg_vpn_client_username_links import MsgVpnClientUsernameLinks
from solace_semp_config.models.msg_vpn_client_username_response import MsgVpnClientUsernameResponse
from solace_semp_config.models.msg_vpn_client_usernames_response import MsgVpnClientUsernamesResponse
from solace_semp_config.models.msg_vpn_distributed_cache import MsgVpnDistributedCache
from solace_semp_config.models.msg_vpn_distributed_cache_cluster import MsgVpnDistributedCacheCluster
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_global_caching_home_cluster import MsgVpnDistributedCacheClusterGlobalCachingHomeCluster
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_global_caching_home_cluster_links import MsgVpnDistributedCacheClusterGlobalCachingHomeClusterLinks
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_global_caching_home_cluster_response import MsgVpnDistributedCacheClusterGlobalCachingHomeClusterResponse
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_global_caching_home_cluster_topic_prefix import MsgVpnDistributedCacheClusterGlobalCachingHomeClusterTopicPrefix
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_global_caching_home_cluster_topic_prefix_links import MsgVpnDistributedCacheClusterGlobalCachingHomeClusterTopicPrefixLinks
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_global_caching_home_cluster_topic_prefix_response import MsgVpnDistributedCacheClusterGlobalCachingHomeClusterTopicPrefixResponse
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_global_caching_home_cluster_topic_prefixes_response import MsgVpnDistributedCacheClusterGlobalCachingHomeClusterTopicPrefixesResponse
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_global_caching_home_clusters_response import MsgVpnDistributedCacheClusterGlobalCachingHomeClustersResponse
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_instance import MsgVpnDistributedCacheClusterInstance
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_instance_links import MsgVpnDistributedCacheClusterInstanceLinks
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_instance_response import MsgVpnDistributedCacheClusterInstanceResponse
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_instances_response import MsgVpnDistributedCacheClusterInstancesResponse
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_links import MsgVpnDistributedCacheClusterLinks
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_response import MsgVpnDistributedCacheClusterResponse
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_topic import MsgVpnDistributedCacheClusterTopic
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_topic_links import MsgVpnDistributedCacheClusterTopicLinks
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_topic_response import MsgVpnDistributedCacheClusterTopicResponse
from solace_semp_config.models.msg_vpn_distributed_cache_cluster_topics_response import MsgVpnDistributedCacheClusterTopicsResponse
from solace_semp_config.models.msg_vpn_distributed_cache_clusters_response import MsgVpnDistributedCacheClustersResponse
from solace_semp_config.models.msg_vpn_distributed_cache_links import MsgVpnDistributedCacheLinks
from solace_semp_config.models.msg_vpn_distributed_cache_response import MsgVpnDistributedCacheResponse
from solace_semp_config.models.msg_vpn_distributed_caches_response import MsgVpnDistributedCachesResponse
from solace_semp_config.models.msg_vpn_dmr_bridge import MsgVpnDmrBridge
from solace_semp_config.models.msg_vpn_dmr_bridge_links import MsgVpnDmrBridgeLinks
from solace_semp_config.models.msg_vpn_dmr_bridge_response import MsgVpnDmrBridgeResponse
from solace_semp_config.models.msg_vpn_dmr_bridges_response import MsgVpnDmrBridgesResponse
from solace_semp_config.models.msg_vpn_jndi_connection_factories_response import MsgVpnJndiConnectionFactoriesResponse
from solace_semp_config.models.msg_vpn_jndi_connection_factory import MsgVpnJndiConnectionFactory
from solace_semp_config.models.msg_vpn_jndi_connection_factory_links import MsgVpnJndiConnectionFactoryLinks
from solace_semp_config.models.msg_vpn_jndi_connection_factory_response import MsgVpnJndiConnectionFactoryResponse
from solace_semp_config.models.msg_vpn_jndi_queue import MsgVpnJndiQueue
from solace_semp_config.models.msg_vpn_jndi_queue_links import MsgVpnJndiQueueLinks
from solace_semp_config.models.msg_vpn_jndi_queue_response import MsgVpnJndiQueueResponse
from solace_semp_config.models.msg_vpn_jndi_queues_response import MsgVpnJndiQueuesResponse
from solace_semp_config.models.msg_vpn_jndi_topic import MsgVpnJndiTopic
from solace_semp_config.models.msg_vpn_jndi_topic_links import MsgVpnJndiTopicLinks
from solace_semp_config.models.msg_vpn_jndi_topic_response import MsgVpnJndiTopicResponse
from solace_semp_config.models.msg_vpn_jndi_topics_response import MsgVpnJndiTopicsResponse
from solace_semp_config.models.msg_vpn_links import MsgVpnLinks
from solace_semp_config.models.msg_vpn_mqtt_retain_cache import MsgVpnMqttRetainCache
from solace_semp_config.models.msg_vpn_mqtt_retain_cache_links import MsgVpnMqttRetainCacheLinks
from solace_semp_config.models.msg_vpn_mqtt_retain_cache_response import MsgVpnMqttRetainCacheResponse
from solace_semp_config.models.msg_vpn_mqtt_retain_caches_response import MsgVpnMqttRetainCachesResponse
from solace_semp_config.models.msg_vpn_mqtt_session import MsgVpnMqttSession
from solace_semp_config.models.msg_vpn_mqtt_session_links import MsgVpnMqttSessionLinks
from solace_semp_config.models.msg_vpn_mqtt_session_response import MsgVpnMqttSessionResponse
from solace_semp_config.models.msg_vpn_mqtt_session_subscription import MsgVpnMqttSessionSubscription
from solace_semp_config.models.msg_vpn_mqtt_session_subscription_links import MsgVpnMqttSessionSubscriptionLinks
from solace_semp_config.models.msg_vpn_mqtt_session_subscription_response import MsgVpnMqttSessionSubscriptionResponse
from solace_semp_config.models.msg_vpn_mqtt_session_subscriptions_response import MsgVpnMqttSessionSubscriptionsResponse
from solace_semp_config.models.msg_vpn_mqtt_sessions_response import MsgVpnMqttSessionsResponse
from solace_semp_config.models.msg_vpn_queue import MsgVpnQueue
from solace_semp_config.models.msg_vpn_queue_links import MsgVpnQueueLinks
from solace_semp_config.models.msg_vpn_queue_response import MsgVpnQueueResponse
from solace_semp_config.models.msg_vpn_queue_subscription import MsgVpnQueueSubscription
from solace_semp_config.models.msg_vpn_queue_subscription_links import MsgVpnQueueSubscriptionLinks
from solace_semp_config.models.msg_vpn_queue_subscription_response import MsgVpnQueueSubscriptionResponse
from solace_semp_config.models.msg_vpn_queue_subscriptions_response import MsgVpnQueueSubscriptionsResponse
from solace_semp_config.models.msg_vpn_queue_template import MsgVpnQueueTemplate
from solace_semp_config.models.msg_vpn_queue_template_links import MsgVpnQueueTemplateLinks
from solace_semp_config.models.msg_vpn_queue_template_response import MsgVpnQueueTemplateResponse
from solace_semp_config.models.msg_vpn_queue_templates_response import MsgVpnQueueTemplatesResponse
from solace_semp_config.models.msg_vpn_queues_response import MsgVpnQueuesResponse
from solace_semp_config.models.msg_vpn_replay_log import MsgVpnReplayLog
from solace_semp_config.models.msg_vpn_replay_log_links import MsgVpnReplayLogLinks
from solace_semp_config.models.msg_vpn_replay_log_response import MsgVpnReplayLogResponse
from solace_semp_config.models.msg_vpn_replay_logs_response import MsgVpnReplayLogsResponse
from solace_semp_config.models.msg_vpn_replicated_topic import MsgVpnReplicatedTopic
from solace_semp_config.models.msg_vpn_replicated_topic_links import MsgVpnReplicatedTopicLinks
from solace_semp_config.models.msg_vpn_replicated_topic_response import MsgVpnReplicatedTopicResponse
from solace_semp_config.models.msg_vpn_replicated_topics_response import MsgVpnReplicatedTopicsResponse
from solace_semp_config.models.msg_vpn_response import MsgVpnResponse
from solace_semp_config.models.msg_vpn_rest_delivery_point import MsgVpnRestDeliveryPoint
from solace_semp_config.models.msg_vpn_rest_delivery_point_links import MsgVpnRestDeliveryPointLinks
from solace_semp_config.models.msg_vpn_rest_delivery_point_queue_binding import MsgVpnRestDeliveryPointQueueBinding
from solace_semp_config.models.msg_vpn_rest_delivery_point_queue_binding_links import MsgVpnRestDeliveryPointQueueBindingLinks
from solace_semp_config.models.msg_vpn_rest_delivery_point_queue_binding_response import MsgVpnRestDeliveryPointQueueBindingResponse
from solace_semp_config.models.msg_vpn_rest_delivery_point_queue_bindings_response import MsgVpnRestDeliveryPointQueueBindingsResponse
from solace_semp_config.models.msg_vpn_rest_delivery_point_response import MsgVpnRestDeliveryPointResponse
from solace_semp_config.models.msg_vpn_rest_delivery_point_rest_consumer import MsgVpnRestDeliveryPointRestConsumer
from solace_semp_config.models.msg_vpn_rest_delivery_point_rest_consumer_links import MsgVpnRestDeliveryPointRestConsumerLinks
from solace_semp_config.models.msg_vpn_rest_delivery_point_rest_consumer_response import MsgVpnRestDeliveryPointRestConsumerResponse
from solace_semp_config.models.msg_vpn_rest_delivery_point_rest_consumer_tls_trusted_common_name import MsgVpnRestDeliveryPointRestConsumerTlsTrustedCommonName
from solace_semp_config.models.msg_vpn_rest_delivery_point_rest_consumer_tls_trusted_common_name_links import MsgVpnRestDeliveryPointRestConsumerTlsTrustedCommonNameLinks
from solace_semp_config.models.msg_vpn_rest_delivery_point_rest_consumer_tls_trusted_common_name_response import MsgVpnRestDeliveryPointRestConsumerTlsTrustedCommonNameResponse
from solace_semp_config.models.msg_vpn_rest_delivery_point_rest_consumer_tls_trusted_common_names_response import MsgVpnRestDeliveryPointRestConsumerTlsTrustedCommonNamesResponse
from solace_semp_config.models.msg_vpn_rest_delivery_point_rest_consumers_response import MsgVpnRestDeliveryPointRestConsumersResponse
from solace_semp_config.models.msg_vpn_rest_delivery_points_response import MsgVpnRestDeliveryPointsResponse
from solace_semp_config.models.msg_vpn_sequenced_topic import MsgVpnSequencedTopic
from solace_semp_config.models.msg_vpn_sequenced_topic_links import MsgVpnSequencedTopicLinks
from solace_semp_config.models.msg_vpn_sequenced_topic_response import MsgVpnSequencedTopicResponse
from solace_semp_config.models.msg_vpn_sequenced_topics_response import MsgVpnSequencedTopicsResponse
from solace_semp_config.models.msg_vpn_topic_endpoint import MsgVpnTopicEndpoint
from solace_semp_config.models.msg_vpn_topic_endpoint_links import MsgVpnTopicEndpointLinks
from solace_semp_config.models.msg_vpn_topic_endpoint_response import MsgVpnTopicEndpointResponse
from solace_semp_config.models.msg_vpn_topic_endpoint_template import MsgVpnTopicEndpointTemplate
from solace_semp_config.models.msg_vpn_topic_endpoint_template_links import MsgVpnTopicEndpointTemplateLinks
from solace_semp_config.models.msg_vpn_topic_endpoint_template_response import MsgVpnTopicEndpointTemplateResponse
from solace_semp_config.models.msg_vpn_topic_endpoint_templates_response import MsgVpnTopicEndpointTemplatesResponse
from solace_semp_config.models.msg_vpn_topic_endpoints_response import MsgVpnTopicEndpointsResponse
from solace_semp_config.models.msg_vpns_response import MsgVpnsResponse
from solace_semp_config.models.semp_error import SempError
from solace_semp_config.models.semp_meta import SempMeta
from solace_semp_config.models.semp_meta_only_response import SempMetaOnlyResponse
from solace_semp_config.models.semp_paging import SempPaging
from solace_semp_config.models.semp_request import SempRequest
from solace_semp_config.models.system_information import SystemInformation
from solace_semp_config.models.system_information_links import SystemInformationLinks
from solace_semp_config.models.system_information_response import SystemInformationResponse
from solace_semp_config.models.virtual_hostname import VirtualHostname
from solace_semp_config.models.virtual_hostname_links import VirtualHostnameLinks
from solace_semp_config.models.virtual_hostname_response import VirtualHostnameResponse
from solace_semp_config.models.virtual_hostnames_response import VirtualHostnamesResponse
